Subject: [Manycouches] Martin Duke's Block on charter-ietf-shmoo-01-00: (with BLOCK and COMMENT)

From: Martin Duke via Datatracker <[email-masked]>
Date: Tue, 18 Jan 2022 10:01:48 -0800

Martin Duke has entered the following ballot position for
charter-ietf-shmoo-01-00: Block

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/charter-ietf-shmoo/

----------------------------------------------------------------------
BLOCK:
----------------------------------------------------------------------

I have trouble seeing what high-level principles a BCP regarding compliance
with health policies will enumerate. Isn't it pretty much "do what the health
authorities tell us to do"? Is the intent to establish red lines to cancel (but
cancellation criteria are out of scope). Or is it to have principles for
rationing access to the venue when capacity see drops? Please clarify what the
intent is here.

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I suspect that a strong consensus to change the meeting cadence will be
elusive, but as the charter has that qualifier it's fine to include it.

---

From: Mallory Knodel <[email-masked]>
Date: Tue, 18 Jan 2022 13:44:43 -0500

Hi Martin,

Others probably have comments, but "health authorities" is clearly not a 
monolith. Deciding who to take as an authority would be within scope.

Additionally the guidance from one authority, say the CDC in the US, can 
be confusing and in need of simplification, or in the scope of shmoo an 
agreed upon approach to simplification.

And even if we imagine that there is one authority with clear guidance, 
some of the guidance might be irrelevant, or needing interpretation, or 
the guidance might make recommendations based on the situation for which 
the IETF event would then need to consider which advice to follow, which 
from a high level approach would be in scope for shmoo.

-Mallory

-- 
Mallory Knodel
CTO, Center for Democracy and Technology
gpg fingerprint :: E3EB 63E0 65A3 B240 BCD9 B071 0C32 A271 BD3C C780

---

From: Alexandre Petrescu <[email-masked]>
Date: Wed, 19 Jan 2022 12:54:01 +0100

Le 18/01/2022 à 19:44, Mallory Knodel a écrit :
> Hi Martin,
> 
> Others probably have comments, but "health authorities" is clearly
> not a monolith. Deciding who to take as an authority would be within
> scope.
> 
> Additionally the guidance from one authority, say the CDC in the US,
> can be confusing and in need of simplification, or in the scope of
> shmoo an agreed upon approach to simplification.
> 
> And even if we imagine that there is one authority with clear
> guidance, some of the guidance might be irrelevant, or needing
> interpretation, or the guidance might make recommendations based on
> the situation for which the IETF event would then need to consider
> which advice to follow, which from a high level approach would be in
> scope for shmoo.

It is indeed subject to interpretation.

One can interpret the WHO advice telling the end user to avoid crowds
and close contact as an advice to not travel, because there is no
international travel possible without such crowds.
https://www.who.int/emergencies/diseases/novel-coronavirus-2019/advice-for-public

One can interpret the WHO advice telling "Do NOT require proof of
vaccination against COVID-19 for international travel as the only
pathway or condition permitting international travel"
https://www.who.int/news/item/26-10-2021-statement-on-the-ninth-meeting-of-the-international-health-regulations-(2005)-emergency-committee-regarding-the-coronavirus-disease-(covid-19)-pandemic
as being infringed outright by our destination
https://www.austria.info/en/service-and-facts/coronavirus-information/entry-regulations
that requires people to be vaccinated before entering.

And these are not the only authorities and implementers who are on clear
contradiction.

Still, this would not stop one from trying to improve the situation.

>> When responding, please keep the subject line intact and reply to
>> all email addresses included in the To and CC lines. (Feel free to
>> cut this introductory paragraph, however.)
>> 
>> 
>> 
>> The document, along with other ballot positions, can be found
>> here: https://datatracker.ietf.org/doc/charter-ietf-shmoo/
>> 
>> 
>> 
I have trouble seeing what high-level principles a BCP regarding
>> compliance with health policies will enumerate. Isn't it pretty
>> much "do what the health authorities tell us to do"?

It's not  that simple.

Were we to do what health authorities told us to, then there would be no
in-person component of IETF meeting in March in Austria.  Still that is
proposed by IETF authority, right?

For example, EMA tells to wait.  It re-iterated that indication to wait
yesterday, and it was not the first time it said so.

It did not tell IETF to wait and to not meet in March, but it tells to
wait with the booster cycles.  They ask to wait for new data, new
season, new strategy, new vaccine kinds.

What does that 'wait' mean?

Well, it means in March my vaccine is outdated.  Because there are
papers that say that after 2 months the immunity confered by a dose is
relatively low.  Should I travel in March?  Rather not.

That is my interpretation.

It does not mean I dont want to work towards helping organising an
in-person component.  There are other possibilities that can be discussed.

Also, as with all these covid discussions: it might very well be it all
might disappear tomorrow as quickly as it arrived.  This is on the table
too.

Alex

  Is the intent to establish red lines to
>> cancel (but cancellation criteria are out of scope). Or is it to
>> have principles for rationing access to the venue when capacity see
>> drops? Please clarify what the intent is here.
>> 
>>

---

From: John C Klensin <[email-masked]>
Date: Wed, 19 Jan 2022 11:48:14 -0500

Mallory,

I have a concern that may be similar to Martin's and another one
that is hinted at from my comments about another set of
discussions in the WG.  Inline below.

--On Tuesday, January 18, 2022 13:44 -0500 Mallory Knodel
<[email-masked]> wrote:

> Hi Martin,
> 
> Others probably have comments, but "health authorities" is
> clearly not a monolith. Deciding who to take as an authority
> would be within scope.

I would hope that, while setting criteria or giving guidance
about making that decision would be within scope, deciding who
to take as an authority should not be.  Even the former may not
be under our control: As Alex, Fred, and others have pointed out
directly on indirectly, when cognizant legal or regulatory
authorities lay out rules that they have to power to enforce,
those are the rules and the IETF's opinion about them is of no
value.  In that regard, while I agreed that cancellation
criteria should be out of scope, I wonder whether it would be
useful for the WG to have some discussion about principles to be
followed if rules imposed by venues or local authorities change
in ways that would make holding a scheduled meeting more
difficult.   While sometimes those things can be negotiated (as
the IETF has occasionally been able to negotiate around local
rules in the past), our being able to do things that are
forbidden to the local population can stir up serious
resentments that last long beyond the time of the actual event.
I am confident that the LLC understands those issues, but it
seems to me that high-level advice from this WG about where to
draw the line would be appropriate.

Coming back to the "health authority" question, part of our
problem is that, while it is clear that there is a very high
concentration in the IETF of people with expertise in networking
at its various levels, in-depth knowledge of immunology,
epidemiology, and the more technical aspects of public health
planning is rather sparse.   One symptom is that I've seen
assertions on this list that I've gotten curious about and
passed on to epidemiologist colleagues for a reaction.  The
reactions have uniformly been close to "those people should
stick to Internet design and technology".

So, again, suggesting criteria -- starting with "violating local
laws is usually bad"-- should be fine.   Picking who to consider
an authority is a problem best left to the LLC who are in a
better position to obtain whatever professional-specialist
advice is needed, put it into IETF context, and act on it.

> Additionally the guidance from one authority, say the CDC in
> the US, can be confusing and in need of simplification, or in
> the scope of shmoo an agreed upon approach to simplification.

Agreed.  Unfortunately, one of the things that causes that
confusion involves efforts to translate very complex scientific
matters, ones that are themselves unstable over time because of
evolution in both understanding and of the virus, into language
lay people and regulators can understand.  I do not envy the
positions of those within or advising the agencies who need to
make things understandable to their decision-makers nor those
who then have to translate those decisions to the public.   Any
of us who have tried to explain how some subtle aspect of the
Internet works and why it works that way to either typical
children of elementary school age or stereotypical grandparents
should be able to understand the problem those people face in
trying to explain the issues and decisions they fact to lay
audiences, including most of us.

So, I don't think the IETF community (or the subset that
participates in SHMOO) should be expected to do the simplifying.
An "approach to simplification", maybe, but I have trouble
imagining our competently going much beyond "pick the most
restrictive interpretation" or "if there is ambiguity, see how
far we can push the boundaries".  

> interpretation, or the guidance might make recommendations
> based on the situation for which the IETF event would then
> need to consider which advice to follow, which from a high
> level approach would be in scope for shmoo.

I agree, but I hope that even that statement may need
interpretation.  In some ways, what this note is about is trying
to clarify what "high-level" means.  I suggest that, as soon as
we need to discuss a particular IETF event (except past ones as
examples from which we can learn), we are into territory that
should be out of scope for SHMOO.   

thanks,
   john

---

From: John C Klensin <[email-masked]>
Date: Wed, 19 Jan 2022 15:04:01 -0500

--On Tuesday, January 18, 2022 10:01 -0800 Martin Duke via
Datatracker <[email-masked]> wrote:

>...
> I have trouble seeing what high-level principles a BCP
> regarding compliance with health policies will enumerate.
> Isn't it pretty much "do what the health authorities tell us
> to do"? Is the intent to establish red lines to cancel (but
> cancellation criteria are out of scope). Or is it to have
> principles for rationing access to the venue when capacity see

Martin (and IESG more generally),

I think part of the problem that you are identifying (and
Éric's earlier "No Objection" comment may point that way too)
is that we have long used the "BCP" category to describe two
(normally) rather distinct groups of things.  I know all of us
know this, but allow me to review...

One group involves technical or operational documents that
specify Best Practice recommendations about the Internet.  Most
if not all of them assume some, often considerable, technical
knowledge on the part of the reader.  Some of that knowledge is
even area-specific: there are IETF BCP documents that I cannot
easily read and understand and I've been editor of a few with
which selected others might have similar problems.  While we
haven't always gotten it right, we've been quite willing to tell
readers that those documents are no required to provide detailed
tutorials and, if they can't understand the recommendations
because they don't have the background, that is not a problem
with the document.

The other group consists of IETF procedural and policy
documents.   They are not recommendations or attempts to
convince others to do something; they are rules.  We expect them
to be completely clear to everyone.  If they are not, we end up
with battles over interpretations.   And those procedural
documents are about things that are, within broad legal and
practical constraints, completely under our control.  No one is
going to write a requirement for meetings 37 days a month, but
that is pretty close to common sense, not specialized technical
knowledge.

The difficulty I see with some of the SHMOO discussions is that
they involve a bit of both.  Picking one set of health policies
over another becomes either a political decision ("e.g., which
country and its policies do you distrust least?") or a highly
technical one that involves technologies about which few in the
IETF have deep knowledge.  Neither is under our control and
things change faster than even the evolution of the Internet.
We can certainly provide high-level guidance, but I'd be nervous
about the basis on which the WG might make a decision between
WHO recommendations or the recommendations of health ministries
in some particular cluster of countries (historical successes
and failures have not been very good predictors for COVID-19).
"We" (including the WG, the IESG, and the IETF LLC) may have to
make some of those decisions anyway, but I think that the use of
"BCP" terminology is adding to the confusion.. and that being
_very_ clear about the boundaries of the WG's scope are very
important.  At the other extreme, the basis for rationing access
to a venue or how much regional homogeneity we are willing to
tolerate and how far we are willing to depart from our
historical policies about regional rotation really are IETF
policy matters with potentially great impact on our
effectiveness and should be, IMO, very much in scope for the WG.

I may be wrong, but I see your concern (with which I obviously
agree), as symptomatic of both problems: we do not have clarity
about the WG's scope and boundaries and the term "BCP" is
confusing us.  And recent discussions on the mailing list
reinforce that impression.

best,
   john

p.s. And, yes, I think it would be helpful to, at some point,
revisit whether continuing to call IETF procedural and policy
documents, including tutorial descriptions of how the IETF is
organized, as "BCP"s. But probably not this week.